Skip to main content
GET
List tradelines

Authorizations

x-api-key
string
header
required

API key in the format sk_live_<token> (production) or sk_test_<token> (sandbox). Contact Cove to obtain your API key.

Query Parameters

consumer_id
string<uuid>

Filter by consumer UUID

payment_type
enum<string>

Filter by payment type Type of recurring payment being reported

Available options:
rent,
child_support,
alimony,
utility,
medical,
insurance,
subscription,
bill_pay,
loan,
education,
dependent_care,
shared_expenses,
custom
status
enum<string>

Filter by account status Current status of the tradeline account (auto-computed from payment reports)

Available options:
current,
late_30,
late_60,
late_90,
late_120,
late_150,
late_180_plus,
paid_in_full,
closed,
transferred,
account_in_dispute
is_active
boolean

Filter by active state (true or false)

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
per_page
integer
default:20

Number of records per page

Required range: 1 <= x <= 100

Response

Paginated list of tradelines

data
object[]
pagination
object